> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pixel

> Updates a cross domain tracking pixel by ID



## OpenAPI

````yaml /api-reference/misc-openapi.json post /prod/pixel/{id}
openapi: 3.1.0
info:
  title: other
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Analytics
    description: Analytics and reporting
  - name: Logs
    description: Activity logs
  - name: Pixels
    description: Tracking pixels
  - name: Prompts
    description: Subscription prompt management
paths:
  /prod/pixel/{id}:
    post:
      tags:
        - Pixels
      summary: Update Pixel
      description: Updates a cross domain tracking pixel by ID
      operationId: api-update-pixel
      parameters:
        - name: id
          in: path
          description: Pixel ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - value
              properties:
                name:
                  type: string
                  description: Name of the pixel
                value:
                  type: object
                  required:
                    - event_category
                    - event_action
                  properties:
                    event_category:
                      type: string
                      description: Event Category
                    event_action:
                      type: string
                      description: Event Action
                    event_label:
                      type: string
                      description: Event Label
                    event_value:
                      type: integer
                      description: Event Value
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    message: Succesfully updated pixel.
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Succesfully updated pixel.
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid token.
                  error_code:
                    type: integer
                    example: 71831
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````